function Iterate(x,u,h,w,f,A,sol,m,n)
count = 1;
uRich = zeros(n+1,m);
uForwGS = zeros(n+1,m);
uJacobi = zeros(n+1,m);
uBackGS = zeros(n+1,m);
uSymmGS = zeros(n+1,m);
Err = zeros(n+1,m,5);
%
%   Initializations of iterations
%
uRich(:,1) = Rich(x,u,h,w,f,A);
uForwGS(:,1) = ForwGS(x,u,h,f,A);
uJacobi(:,1) = Jacobi(x,u,h,f,A);
uBackGS(:,1) = BackGS(x,u,h,f,A);
uSymmGS(:,1) = SymmGS(x,u,h,f,A);
H1errR = sqrt((sol - uRich)'*A*(sol-uRich));
H1errJ = sqrt((sol - uJacobi)'*A*(sol-uJacobi));
H1errFGS = sqrt((sol - uForwGS)'*A*(sol-uForwGS));
H1errBGS = sqrt((sol - uBackGS)'*A*(sol-uBackGS));
H1errSGS = sqrt((sol - uSymmGS)'*A*(sol-uSymmGS));
%
%   Load arrays of iterations and errors
%
for i=2:m
count = count +1;
uRich(:,i) = Rich(x,uRich(:,i-1),h,w,f,A);
uJacobi(:,i) = Jacobi(x,uJacobi(:,i-1),h,f,A);
uForwGS(:,i) = ForwGS(x,uForwGS(:,i-1),h,f,A);
uBackGS(:,i) = BackGS(x,uBackGS(:,i-1),h,f,A);
uSymmGS(:,i) = SymmGS(x,uSymmGS(:,i-1),h,f,A);

H1errR(i,1) = sqrt((sol - uRich)'*A*(sol-uRich));
H1errJ(i,1) = sqrt((sol - uJacobi)'*A*(sol-uJacobi));
H1errFGS(i,1) = sqrt((sol - uForwGS)'*A*(sol-uForwGS));
H1errBGS(i,1) = sqrt((sol - uBackGS)'*A*(sol-uBackGS));
H1errSGS(i,1) = sqrt((sol - uSymmGS)'*A*(sol-uSymmGS));

Err(:,i,:) = [abs(sol-uRich),abs(sol-uRich)


end


end

