function vH = Restrict(vh)
%
%INPUT
%   vh = Residual scaled from fine grid
%
%OUTPUT
%   vH = Residual computed on coarse grid
%
n = max(size(vh));
vL = vh(1:2:(n-1));
vM = vh(2:2:(n-1));
vR = vh(3:2:n);
%
%   Restriction by full-weighting
%
vH = .25 * (vL + vR) + .5*vM;
%vH = .5 * (vL + vR);
%vH = vM;
end