function pH1Err(m,A,sol,uJacobi,uForwGS,uSymmGS)
H1errJ = zeros(m,1);
H1errFGS = zeros(m,1);
H1errSGS = zeros(m,1);
for i=1:m
H1errJ(i,1) = sqrt((sol - uJacobi(:,i))'*A*(sol-uJacobi(:,i)));
H1errFGS(i,1) = sqrt((sol - uForwGS(:,i))'*A*(sol-uForwGS(:,i)));
H1errSGS(i,1) = sqrt((sol - uSymmGS(:,i))'*A*(sol-uSymmGS(:,i)));
end
figure(2)
plot(1:(m),H1errJ, 'color','b')
hold on
plot(1:(m),H1errFGS, 'color','r')
plot(1:(m),H1errSGS, 'color','g')
xlabel('Iteration')
title('H1 error')
legend('Jacobi', 'Forward Gauss-Seidel', 'Symmetric Gauss-Seidel');
hold off

end

